<?php

// timezone (valid ones: https://www.php.net/manual/en/timezones.php)
date_default_timezone_set("America/New_York");

// admin
$adminPassword = "setAPasswordHere!123";

// page title
$pageTitle = "the cool qna";

// only applies to sent messages, responses and cws edited by admins can exceed this limit
$maxQuestionLength = 10000;
$maxCWLength = 250;

$pageDomainEnabled = true;
$pageProto = "https";
$pagePath = "/qna";
$pageDomain = "example.com";
$pageDomainOther = $pageDomain; // you can comment out and change this to a subdomain you want to "go back to". eg your site is me.example.org but you want it to say example.org
//$pageDomainOther = "me.example.com";
$pageRoot = "/"; // path to go to

// set this to the url of any custom css
$customCSSurl = NULL;

// post to fedi?
$fediEnabled = false;
$fediAPIRoute = "https://example.com/api/v1/statuses";
$fediAPIToken = "Bearer AUTHTOKENGOESHERE";
$fediVisibility = "private"; // "direct", "private", "unlisted", "public"

// %c: content warning (only on WithCW variables)
// %q: question
// %r: response
// %u: url to question
$fediCWFormat = "anonymous question response"; // set to NULL to disable the content warning on the post
$fediCWFormatWithCW = $fediCWFormat . "; cw: %c";
$fediMessageFormat = "question: %q\n\nresponse: %r\n\nlink: %u";
$fediMessageFormatWithCW = $fediMessageFormat;

// fedi emojis?
$emojiEnabled = false;
$emojiAPIRoute = "https://example.com/api/iceshrimp/emoji";
$emojiAPIToken = $fediAPIToken;

// database setup
$dbHost = "localhost";
$dbName = "postgres";
$dbUsername = "postgres";
$dbPassword = "postgres";

// !!! DON'T CHANGE ANYTHING AFTER THIS UNLESS YOU KNOW WHAT YOU'RE DOING !!!
$dbInfo = "host={$dbHost} dbname={$dbName} user={$dbUsername} password={$dbPassword}";
$db = pg_connect($dbInfo);

?>
